# Claude PR Review

## Description

Reviews a PR using Claude

## Inputs

| name                 | description                                                   | required | default |
| -------------------- | ------------------------------------------------------------- | -------- | ------- |
| `ANTHROPIC_API_KEY`  | <p>The API key for the anthropic API</p>                      | `true`   | `""`    |
| `GITEA_URL`          | <p>The URL of the Gitea instance</p>                          | `true`   | `""`    |
| `GITEA_CLAUDE_TOKEN` | <p>The token of the claude account for the Gitea instance</p> | `true`   | `""`    |

## Runs

This action is a `composite` action.

## Usage

```yaml
- uses: https://git.kjan.de/actions/claude-pr-review@v1
  with:
    ANTHROPIC_API_KEY:
    # The API key for the anthropic API
    #
    # Required: true
    # Default: ""

    GITEA_URL:
    # The URL of the Gitea instance
    #
    # Required: true
    # Default: ""

    GITEA_CLAUDE_TOKEN:
    # The token of the claude account for the Gitea instance
    #
    # Required: true
    # Default: ""
```
